> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Registered Model

> Update a Registered Model



## OpenAPI

````yaml /api-specs/cloud/public-api.json patch /api/registeredmodels/v1/{modelName}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/registeredmodels/v1/{modelName}:
    patch:
      tags:
        - Registered models
      summary: Update a Registered Model
      description: Update a Registered Model
      operationId: patchRegisteredModelByName
      parameters:
        - description: Registered model name
          in: path
          name: modelName
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchRegisteredModelV1'
        description: Details of the model to update
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisteredModelV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    PatchRegisteredModelV1:
      properties:
        description:
          description: The description of the registered model
          example: Logistic regression model
          type: string
        discoverable:
          description: Whether this registered model is discoverable
          type: boolean
      type: object
    RegisteredModelV1:
      properties:
        createdAt:
          description: When the latest version of the model was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        description:
          description: Description of the model
          example: Customer churn model
          type: string
        discoverable:
          default: false
          description: >
            Indicates whether this model is publicly discoverable. If true,
            users who are not project members will see this model in search
            results and can view basic model details.

            This field may be omitted when false.
          type: boolean
        latestVersion:
          description: The latest version of the model
          example: 1
          type: integer
        name:
          description: Name of the registered model
          example: churn-prediction
          type: string
        ownerUsername:
          description: Username of the model's creator
          example: martin_hito
          type: string
        project:
          $ref: '#/components/schemas/RegisteredModelProjectSummaryV1'
        requestingUserAccess:
          $ref: '#/components/schemas/RegisteredModelRequestingUserAccessV1'
        tags:
          $ref: '#/components/schemas/RegisteredModelTagsV1'
        updatedAt:
          description: When the latest version of the model was updated
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
      required:
        - name
        - description
        - project
        - tags
        - ownerUsername
        - createdAt
        - updatedAt
        - requestingUserAccess
      type: object
    RegisteredModelProjectSummaryV1:
      description: type that tracks properties of the project associated with a model
      properties:
        id:
          description: ID of the project housing the model
          example: 62313ce67a0af0281c01a6a5
          type: string
        isGitBasedProject:
          description: Whether the project is a git-based project
          type: boolean
        name:
          description: Name of the project overview housing the model
          example: TO-DO
          type: string
        ownerUsername:
          description: Name of the project owner
          example: TO-DO
          type: string
      required:
        - id
        - name
        - ownerUsername
        - isGitBasedProject
      type: object
    RegisteredModelRequestingUserAccessV1:
      description: >-
        Describes the operations that the requesting user has permission to do
        with this model.
      properties:
        canEditModel:
          description: True if the requesting user can update this model
          type: boolean
        canEditProjectAssets:
          description: >
            True if the requesting user has permissions to edit other assets of
            the project that this model belongs to.
          type: boolean
        canEditPropertyValues:
          description: >
            True if the requesting user can edit the property values on this
            model and any of its versions. Granted to the model owner and Domino
            admins.
          type: boolean
        canEditTaxonomyTags:
          description: >
            True if the requesting user can edit the taxonomy tags on this model
            and any of its versions. Granted to the model owner and Domino
            admins.
          type: boolean
        canViewExperimentRuns:
          description: >
            True if the requesting user can view experiment runs of the project
            that this model belongs to.
          type: boolean
        canViewModelApis:
          description: >
            True if the requesting user can view model apis of the project that
            this model belongs to.
          type: boolean
        canViewProject:
          description: >
            True if the requesting user can view the project overview of the
            project that this model belongs to.
          type: boolean
        canViewProjectFiles:
          description: >
            True if the requesting user can view the files of the project that
            this model belongs to.
          type: boolean
      required:
        - canEditModel
        - canEditProjectAssets
        - canEditTaxonomyTags
        - canEditPropertyValues
        - canViewExperimentRuns
        - canViewModelApis
        - canViewProject
        - canViewProjectFiles
      type: object
    RegisteredModelTagsV1:
      additionalProperties:
        type: string
      description: A map of key -> value
      example:
        key: value
        key2: anothervalue
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Audit Trail Data Glossary](/cloud/platform-capabilities/features/governance/audit-trail/audit-trail-glossary.md)
- [Work with roles](/cloud/admin/identity-and-access/manage-users/roles/index.md)
- [Update a Model Deployment](/api-reference/model-deployment/update-a-model-deployment.md)
- [Get a specific Registered Model](/api-reference/registered-models/get-a-specific-registered-model.md)
